summaryrefslogtreecommitdiffstats
path: root/build_tools/larch7/larch0/profiles/linhes-local-mirror-stable-i686/rootoverlay/root/LinHES-install.sh
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2010-11-04 18:06:25 (GMT)
committerJames Meyer <james.meyer@operamail.com>2010-11-04 18:06:27 (GMT)
commit429f14eea9f4c00ddd8d82f25612213df8d4af84 (patch)
treed8441dd4ef5ef539c0b263b138d36fb1995c38d8 /build_tools/larch7/larch0/profiles/linhes-local-mirror-stable-i686/rootoverlay/root/LinHES-install.sh
parent11ef4af01d6e197a54d0759e688ab5cbd336be4b (diff)
downloadlinhes_dev-429f14eea9f4c00ddd8d82f25612213df8d4af84.zip
add profiles for larch 7
Diffstat (limited to 'build_tools/larch7/larch0/profiles/linhes-local-mirror-stable-i686/rootoverlay/root/LinHES-install.sh')
-rwxr-xr-xbuild_tools/larch7/larch0/profiles/linhes-local-mirror-stable-i686/rootoverlay/root/LinHES-install.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/build_tools/larch7/larch0/profiles/linhes-local-mirror-stable-i686/rootoverlay/root/LinHES-install.sh b/build_tools/larch7/larch0/profiles/linhes-local-mirror-stable-i686/rootoverlay/root/LinHES-install.sh
new file mode 100755
index 0000000..6acd24a
--- /dev/null
+++ b/build_tools/larch7/larch0/profiles/linhes-local-mirror-stable-i686/rootoverlay/root/LinHES-install.sh
@@ -0,0 +1,34 @@
+#!/bin/bash
+#redirect stderr to stdout, then rediret stdout to file
+. /etc/profile
+exec 2>&1
+exec > /tmp/mythvantage_install.log
+#/usr/bin/nvidia-settings -a InitialPixmapPlacement=2
+#keylaunch &
+#/usr/bin/tilda &
+#/usr/X11R6/bin/unclutter -root -idle 0 -jitter 400 -noevents &
+export MALLOC_CHECK_=0
+xset s off
+xset -dpms
+xhost +
+
+CMDLINE=$(cat /proc/cmdline)
+echo $CMDLINE |grep -q nfsroot
+NFSROOT=$?
+echo $CMDLINE |grep -q clean_upgrade
+if [ $? = 0 ]
+then
+ export CLEAN_UPGRADE=YES
+else
+ export CLEAN_UPGRADE=NO
+fi
+MythVantage -r
+
+if [ x$NFSROOT = x1 ]
+then
+ unbuffer MythVantage &
+else
+ NETBOOT=YES MythVantage &
+fi
+
+exec fluxbox > /var/log/fluxbox.log 2>&1